diff --git a/buglist b/buglist
index bfb9786..3a27e26 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7251: 
+bug 7252: 
 todo 336:
 wish 1011:
 meh 5:
@@ -12,6 +12,59 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7251: integrate(1/(1+z^4), z=0..1) :: Complex Float
+
+integrate(1/(1+z^4), z=0..1) :: Complex Float
+
+   (1)  - 0.2437477471 9968052418
+                                                         Type: Complex(Float)
+(2) -> integrate(1/(1+z^4), z=0..1)
+
+   (2)
+        +-+     +-+         +-+       +-+          +-+         1
+       \|2 log(\|2  + 2) - \|2 log(- \|2  + 2) - 2\|2 atan(--------)
+                                                            +-+
+                                                           \|2  - 1
+     + 
+           +-+         1
+       - 2\|2 atan(--------)
+                    +-+
+                   \|2  + 1
+  /
+     8
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+
+should be
+
+(4) -> integrate(1/(1+z^4),z=0..1)
+
+   (4)
+           +-+                   1
+       - 4\|2 atan(----------------------------)
+                        +----------+
+                    +-+ |   +-+         +-+
+                   \|2 \|- \|2  + 2  + \|2  - 1
+     + 
+           +-+                  1                 +-+     +-+
+       - 4\|2 atan(--------------------------) + \|2 log(\|2  + 2)
+                        +--------+
+                    +-+ | +-+         +-+
+                   \|2 \|\|2  + 2  + \|2  + 1
+     + 
+          +-+       +-+          +-+         1         +-+         1
+       - \|2 log(- \|2  + 2) + 4\|2 atan(--------) + 4\|2 atan(--------)
+                                          +-+                   +-+
+                                         \|2  - 1              \|2  + 1
+  /
+     8
+                  Type: Union(f1: OrderedCompletion(Expression(Integer)),...)
+
+(5) -> integrate(1/(1+z^4),z=0..1)::Complex Float
+
+   (5)  0.8669729873_3991103758
+                                                         Type: Complex(Float)
+
+=========================================================================
 bug 7250: print(typeOf(1)::OutputForm) Value Stack Overflow
 
 (1) -> typeOf(1)
diff --git a/changelog b/changelog
index 2370e05..186f782 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140613 tpd src/axiom-website/patches.html 20140613.12.tpd.patch
+20140613 tpd buglist bug 7251: integrate(1/(1+z^4), z=0..1) :: Complex Float
 20140613 tpd src/axiom-website/patches.html 20140613.11.tpd.patch
 20140613 tpd bug 7250: print(typeOf(1)::OutputForm) Value Stack Overflow
 20140613 tpd src/axiom-website/patches.html 20140613.10.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5fdb075..5507487 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4442,6 +4442,8 @@ buglist bug 7249: radicalSolve(z^7=1, z)
 buglist bug 7072/19 D(0^z, z) closed
 <a href="patches/20140613.11.tpd.patch">20140613.11.tpd.patch</a>
 buglist bug 7250: print(typeOf(1)::OutputForm) Value Stack Overflow
+<a href="patches/20140613.12.tpd.patch">20140613.12.tpd.patch</a>
+buglist bug 7251: integrate(1/(1+z^4), z=0..1) :: Complex Float
  </body>
 </html>
 
